## linux-3.0.63-odroidx 20130213

=== src/linux-headers-3.0.63-odroidx/arch/arm/kernel/Makefile ===
#
# Makefile for the linux kernel.
#

CPPFLAGS_vmlinux.lds := -DTEXT_OFFSET=$(TEXT_OFFSET)
AFLAGS_head.o        := -DTEXT_OFFSET=$(TEXT_OFFSET)

ifdef CONFIG_FUNCTION_TRACER
CFLAGS_REMOVE_ftrace.o = -pg
endif

CFLAGS_REMOVE_return_address.o = -pg

# Object file lists.

obj-y		:= elf.o entry-armv.o entry-common.o irq.o \
		   process.o ptrace.o return_address.o setup.o signal.o \
		   sys_arm.o stacktrace.o time.o traps.o

obj-$(CONFIG_DEPRECATED_PARAM_STRUCT) += compat.o

obj-$(CONFIG_LEDS)		+= leds.o
obj-$(CONFIG_OC_ETM)		+= etm.o

obj-$(CONFIG_ISA_DMA_API)	+= dma.o
obj-$(CONFIG_ARCH_ACORN)	+= ecard.o 
obj-$(CONFIG_FIQ)		+= fiq.o fiqasm.o
obj-$(CONFIG_MODULES)		+= armksyms.o module.o
obj-$(CONFIG_ARTHUR)		+= arthur.o
obj-$(CONFIG_ISA_DMA)		+= dma-isa.o
obj-$(CONFIG_PCI)		+= bios32.o isa.o
obj-$(CONFIG_PM_SLEEP)		+= sleep.o
obj-$(CONFIG_HAVE_SCHED_CLOCK)	+= sched_clock.o
obj-$(CONFIG_SMP)		+= smp.o smp_tlb.o
obj-$(CONFIG_HAVE_ARM_SCU)	+= smp_scu.o
obj-$(CONFIG_HAVE_ARM_TWD)	+= smp_twd.o
obj-$(CONFIG_DYNAMIC_FTRACE)	+= ftrace.o
obj-$(CONFIG_FUNCTION_GRAPH_TRACER)	+= ftrace.o
obj-$(CONFIG_KEXEC)		+= machine_kexec.o relocate_kernel.o
obj-$(CONFIG_KPROBES)		+= kprobes.o kprobes-decode.o
obj-$(CONFIG_ATAGS_PROC)	+= atags.o
obj-$(CONFIG_OABI_COMPAT)	+= sys_oabi-compat.o
obj-$(CONFIG_ARM_THUMBEE)	+= thumbee.o
obj-$(CONFIG_KGDB)		+= kgdb.o
obj-$(CONFIG_ARM_UNWIND)	+= unwind.o
obj-$(CONFIG_HAVE_TCM)		+= tcm.o
obj-$(CONFIG_HIBERNATION)       += hibernate.o hibernate_asm.o
obj-$(CONFIG_OF)		+= devtree.o
obj-$(CONFIG_CRASH_DUMP)	+= crash_dump.o
obj-$(CONFIG_SWP_EMULATE)	+= swp_emulate.o
CFLAGS_swp_emulate.o		:= -Wa,-march=armv7-a
obj-$(CONFIG_HAVE_HW_BREAKPOINT)	+= hw_breakpoint.o

obj-$(CONFIG_CRUNCH)		+= crunch.o crunch-bits.o
AFLAGS_crunch-bits.o		:= -Wa,-mcpu=ep9312

obj-$(CONFIG_CPU_XSCALE)	+= xscale-cp0.o
obj-$(CONFIG_CPU_XSC3)		+= xscale-cp0.o
obj-$(CONFIG_CPU_MOHAWK)	+= xscale-cp0.o
obj-$(CONFIG_CPU_PJ4)		+= pj4-cp0.o
obj-$(CONFIG_IWMMXT)		+= iwmmxt.o
obj-$(CONFIG_CPU_HAS_PMU)	+= pmu.o
obj-$(CONFIG_HW_PERF_EVENTS)	+= perf_event.o
AFLAGS_iwmmxt.o			:= -Wa,-mcpu=iwmmxt
obj-$(CONFIG_ARM_CPU_TOPOLOGY)  += topology.o

ifneq ($(CONFIG_ARCH_EBSA110),y)
  obj-y		+= io.o
endif

head-y			:= head$(MMUEXT).o
obj-$(CONFIG_DEBUG_LL)	+= debug.o
obj-$(CONFIG_EARLY_PRINTK)	+= early_printk.o

extra-y := $(head-y) init_task.o vmlinux.lds

=== src/linux-headers-3.0.63-odroidx/debian/changelog ===
linux-source-3.0.63-odroidx (20130213) unstable; urgency=low

  * This is a dummy changelog for packages generated by kernel-package. At
    some point, there shall be hooks for the user to substitute a
    changelog entry, but currently this is just a stub.

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 19 Aug 2006 16:37:36 -0500


Local variables:
mode: debian-changelog
End:

=== src/linux-headers-3.0.63-odroidx/debian/control ===
Source: linux-source-3.0.63-odroidx
Section: devel
Priority: optional
Maintainer:  Unknown Kernel Package Maintainer <unknown@unconfigured.in.etc.kernel-pkg.conf>
Build-Depends: po-debconf, gettext, file
Standards-Version: 3.5.9.0

Package: linux-headers-3.0.63-odroidx
Architecture: any
Depends: ${shlibs:Depends}
Section: devel
Priority: optional
Recommends: libc6-dev | libc-dev, gcc | c-compiler, make (>= 3.80-10), binutils (>= 2.12), util-linux (>= 2.10o)
Suggests: module-init-tools (>= 0.9.10), e2fsprogs (>= 1.29)
Provides: linux-headers, linux-headers-3.0
Description: Header files related to Linux kernel, specifically,
 version 3.0.63-odroidx
 .
 This package provides kernel header files for sites 
 that want the latest kernel headers for version 
 3.0.63-odroidx.
 Please read 
 /usr/share/doc/linux-headers-3.0.63-odroidx/debian.README.gz
 for details

Package: linux-source-3.0.63-odroidx
Architecture: all
Section: devel
Priority: optional
Provides: linux-source, linux-source-3.0
Depends: binutils, bzip2, file
Recommends: libc6-dev | libc-dev, gcc | c-compiler, make (>= 3.80-10), po-debconf, gettext, binutils (>= 2.12), util-linux (>= 2.10o), module-init-tools (>= 0.9.10), debianutils (>= 2.30)
Suggests: libncurses-dev | ncurses-dev, kernel-package, xmlto, libdb3-dev, libncurses-dev, docbook-utils, e2fsprogs (>= 1.29), linux-initramfs-tool
Description: Linux kernel source for version 3.0.63-odroidx
 This package provides the source code for the Linux kernel, specifically,
 version 3.0.63-odroidx.
 .
 You may configure the kernel to your setup by typing "make config"
 and following instructions, but you could get ncursesX.X-dev and try
 "make menuconfig" for a jazzier, and easier to use interface. There 
 are options to use QT or GNOME based configuration interfaces, but they
 need additional packages to be installed. Also, please read the detailed 
 documentation in the file README.headers.gz in the documentation directory
 /usr/share/doc/linux-source-3.0.63-odroidx/.
 .
 If you wish to use this package to create a custom Linux kernel, then
 it is suggested that you investigate the package kernel-package,
 which has been designed to ease the task of creating kernel image
 packages. 

Package: linux-image-3.0.63-odroidx
Architecture: armhf
Section: kernel
Priority: optional
Provides: linux-image,  linux-image-3.0
Pre-Depends: debconf (>= 0.2.17) | debconf-2.0
Depends:  coreutils (>= 5.96)
Suggests: fdutils, linux-doc-3.0.63-odroidx | linux-source-3.0.63-odroidx, ksymoops, linux-image-3.0.63-odroidx-dbg
Description: Linux kernel binary image for version 3.0.63-odroidx
 This package contains the Linux kernel image for version 
 3.0.63-odroidx.
 .
 It also contains the corresponding System.map file, and the modules
 built by the packager.  It also contains scripts that try to ensure
 that the system is not left in a unbootable state after an update.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources. Please look at kernel-img.conf(5),
 and /usr/share/doc/kernel-package/README.gz  from the package kernel-package
 for details on how to tailor the  installation of this or any other kernel 
 image package

Package: linux-image-3.0.63-odroidx-dbg
Architecture: armhf 
Section: debug
Priority: optional 
Depends: linux-image-3.0.63-odroidx
Provides: linux-debug,  linux-debug-3.0, linux-debug-3.0.63-odroidx
Suggests: systemtap
Description: Linux kernel debug image for version 3.0.63-odroidx 
 This package contains the Linux kernel debug image for version
  3.0.63-odroidx.
 This means the debugging information for the modules in the kernel
 image package, and the uncompressed vmlinux image; it is not intended
 to be bootable. This is useful for debugging the Linux kernel. 


Package: linux-doc-3.0.63-odroidx
Architecture: all
Section: doc
Priority: optional
Provides: linux-doc-3.0
Suggests: linux-image-3.0.63-odroidx
Description: Linux kernel specific documentation for version 3.0.63-odroidx
 This package provides various Readme's in the 3.0.63-odroidx
 kernel Documentation/ subdirectory: these typically contain
 kernel-specific installation notes for some drivers. for
 example. Please see
 /usr/share/doc/linux-doc-X.X.XX/Documentation/00-INDEX
 for a list of contents.  Please also read the Changes file, as it
 contains information about the problems which may result by upgrading
 your kernel.

Package: linux-manual-3.0.63-odroidx
Architecture: all
Section: doc
Priority: optional
Provides: linux-manual-3.0
Conflicts: linux-manual-3.0
Suggests: linux-image-3.0.63-odroidx
Description: Linux kernel section 9 manual pages for version 3.0.63-odroidx
 This package provides various Section 9 manual pages included with the kernel. 

Package: linux-uml-3.0.63-odroidx
Architecture: armhf
Section: utils
Priority: optional
Provides: linux-uml,  linux-uml-3.0, user-mode-linux
Depends:  coreutils (>= 5.96) | fileutils (>= 4.0)
Suggests: fdutils, kernel-doc-3.0.63-odroidx | kernel-source-3.0.63-odroidx, uml-utilities
Conflicts: user-mode-linux (<= 2.6)
Replaces: user-mode-linux (<= 2.6)
Description: Linux uml kernel binary image for version 3.0.63-odroidx
 This package contains the Linux uml kernel image for version 3.0.63-odroidx
 and the modules built by the packager.

## linux-3.0.63-odroidx 20130215

=== src/linux-headers-3.0.63-odroidx/debian/changelog ===
linux-source-3.0.63-odroidx (20130215) unstable; urgency=low

  * This is a dummy changelog for packages generated by kernel-package. At
    some point, there shall be hooks for the user to substitute a
    changelog entry, but currently this is just a stub.

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 19 Aug 2006 16:37:36 -0500


Local variables:
mode: debian-changelog
End:
